<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html">
<head>
<title>Geocoding Service</title>
<meta name="viewport" content="initial-scale=1.0, user-scalable=no"></meta>
<meta charset="utf-8"></meta>

</head>
<body>
	<div id="map" style="margin: 25px auto"></div>

	<script>
		var data2 = <h:outputText value="#{depannageBean.listJson}"/>;
		function initMap() {
			map = new google.maps.Map(document.getElementById("map"), {
				center : new google.maps.LatLng({
					lat : data2[0].lat,
					lng : data2[0].lon
				}),
				zoom : 12,
				mapTypeId : google.maps.MapTypeId.ROADMAP,
				mapTypeControl : true,
				scrollwheel : true,
				mapTypeControlOptions : {
					style : google.maps.MapTypeControlStyle.HORIZONTAL_BAR
				},
				navigationControl : true,
				navigationControlOptions : {
					style : google.maps.NavigationControlStyle.ZOOM_PAN
				}
			});

			for (depanneur in data2) {
								
				var marker = new google.maps.Marker({
					position : {
						lat : data2[depanneur].lat,
						lng : data2[depanneur].lon
					},
					title : data2[depanneur].nomSociete,
					map : map
				})
			}
		}
		window.onload = function() {
			initMap();
		}
	</script>

	<script
		src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCP-KHyEETzyq1EQXJ48fteX_pL-j2ETeE&amp;callback=initMap">
		
	</script>

</body>
</html>